# Pi2Co Web Keyboard

## About

The Pi2co Web Keyboard is a simple program turning the **Raspberry Pi Pico W** into a keyboard, controllable over an intuitive web interface.

The name derives from...

1. the fact that Pi is present twice in the name of the Raspberry **Pi** **Pi**co
2. Web Keyboard because it actually just says what this project's wanna archive. Not more, not less.


## Installation


### 1. Install CircuitPython

**Pi2Co Web Keyboard** depends on the use of microPython. There are many instructions out there on the installation of it. For short, navigate to the [downloads page of CircuitPython for the Pico W](https://circuitpython.org/board/raspberry_pi_pico_w/). Then, download the given `.uf2` file.

Now time has come to connect the Pico to your computer. BUT: while connecting it, press and hold down the BOOTSEL button on the board. After that, the Pi should show up as a mass storage device. Just mount it, drop the `.uf2`, and wait. The MSD should now disappear. And appear again, with a new name. Congratulations, step 1 completed!

### 2. Install needed libraries

- [Link to libraries download](https://circuitpython.org/libraries)

>TODO! finish this section

### 3. Upload the `code.py` file

To get this file, just download this repository. This can be done either by doing a `git clone` or just by using the web interface elements.

Then, move the file to the pico's mass storage device.

>TODO! finish this section


### 4. Configure the `settings.toml` file

All you have to add to the `settings.toml` located on the Pico are the following lines:

```toml
WIFI_SSID = "<YOUR WIFI SSID HERE>"
WIFI_PSK = "<YOUR WIFI PASSWORD HERE>"
```

That's all about it. Now, only one thing remains:

### 5. Have fun!


## Screenshots

> TODO! finish this section by filling in screenshots of the web ui

## Useful links

- [Running a webserver on the RPi Pico W](https://learn.adafruit.com/pico-w-http-server-with-circuitpython)
- [Documentation of the CircuitPython's HTTPServer library](https://docs.circuitpython.org/projects/httpserver/en/latest/)

## License

The project is licensed under the terms of the GPLv3. There is a copy of it found [here](LICENSE.md).

